function u = solveRobinBVP(Mesh, CoeffHandle, FHandle)

    Mesh = add_Edges(Mesh);
    Mesh.ElemFlag = ones(size(Mesh.Elements,1), 1);
    if isfield(Mesh, 'BdFlags')
        Mesh = rmfield(Mesh, 'BdFlags');
    end
    loc = get_BdEdges(Mesh);
    Mesh.BdFlags = zeros(size(Mesh.Edges,1), 1);
    Mesh.BdFlags(loc) = -1;

    A = assemMat_LFE(Mesh, @STIMA_Lapl_LFE);
    A = A + assemMat_Bnd_Robin(Mesh, CoeffHandle, 4);

    L = assemLoad_LFE(Mesh, P7O6(), FHandle);

    u = A\L;

end
